Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Debian GCC (http://www.linux-archive.org/debian-gcc/)
-   -   Bug#688278: fails to upgrade/install due to multiarch conflicts (http://www.linux-archive.org/debian-gcc/706005-bug-688278-fails-upgrade-install-due-multiarch-conflicts.html)

Michael Biebl 09-21-2012 04:44 AM

Bug#688278: fails to upgrade/install due to multiarch conflicts
 
Package: gcc-4.7-base
Version: 4.7.2-1
Severity: serious

I do have multiarch enabled: amd64 being the primary arch, i386 the secondary.

During today's upgrade I got the following error message:

Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following packages will be upgraded:
cpp-4.7 g++-4.7 gcc-4.7 gcc-4.7-base:i386 libgcc1 libgcc1:i386 libgfortran3
libgomp1 libitm1 libmission-control-plugins0 libquadmath0 libstdc++6
libstdc++6-4.7-dev telepathy-mission-control-5
14 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 0 B/24.9 MB of archives.
After this operation, 108 kB disk space will be freed.
Do you want to continue [Y/n]?
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
Reading changelogs... Done
Can not write log, openpty() failed (/dev/pts not mounted?)
(Reading database ... 249806 files and directories currently installed.)
Preparing to replace gcc-4.7-base:i386 4.7.1-9 (using .../gcc-4.7-base_4.7.2-1_i386.deb) ...
Unpacking replacement gcc-4.7-base:i386 ...
dpkg: error processing /var/cache/apt/archives/gcc-4.7-base_4.7.2-1_i386.deb (--unpack):
trying to overwrite shared '/usr/share/doc/gcc-4.7-base/changelog.Debian.gz', which is different from other instances of package gcc-4.7-base:i386
Errors were encountered while processing:
/var/cache/apt/archives/gcc-4.7-base_4.7.2-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)




-- System Information:
Debian Release: wheezy/sid
APT prefers unstable
APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-30-generic (SMP w/4 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash


--
To UNSUBSCRIBE, email to debian-gcc-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20120921044421.10905.78738.reportbug@pluto.milchst rasse.xx">http://lists.debian.org/20120921044421.10905.78738.reportbug@pluto.milchst rasse.xx

Jakub Wilk 09-21-2012 08:14 AM

Bug#688278: fails to upgrade/install due to multiarch conflicts
 
A diff between i386 and amd64 (after ungzipping) is attached.

--
Jakub Wilk
diff -ur gcc-4.7-base_4.7.2-1_i386/usr/share/doc/gcc-4.7-base/changelog.Debian gcc-4.7-base_4.7.2-1_amd64/usr/share/doc/gcc-4.7-base/changelog.Debian
--- gcc-4.7-base_4.7.2-1_i386/usr/share/doc/gcc-4.7-base/changelog.Debian 2012-09-20 18:37:04.000000000 +0200
+++ gcc-4.7-base_4.7.2-1_amd64/usr/share/doc/gcc-4.7-base/changelog.Debian 2012-09-20 16:58:05.000000000 +0200
@@ -3,6 +3,7 @@
* GCC 4.7.2 release.
* Issues addressed after the release candidate:
- PR c++/53661 (wrong warning), LTO backport from trunk, documentation fix.
+ * Update NEWS files.

-- Matthias Klose <doko@debian.org> Thu, 20 Sep 2012 12:19:07 +0200


All times are GMT. The time now is 09:26 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.